build-and-deploy-image:
    image: docker:stable
    services: 
        - docker:dind
    script:
        - docker build -t fadhlanhazmi/dbapi -f database/Dockerfile database
        - docker build -t fadhlanhazmi/read -f read/Dockerfile read
        - docker build -t fadhlanhazmi/create -f create/Dockerfile create
        - docker build -t fadhlanhazmi/update -f update/Dockerfile update
        - docker build -t fadhlanhazmi/delete -f delete/Dockerfile delete
        - docker login -u $DOCKER_USER -p $DOCKER_PASSWORD
        - docker push fadhlanhazmi/dbapi
        - docker push fadhlanhazmi/read
        - docker push fadhlanhazmi/create
        - docker push fadhlanhazmi/update
        - docker push fadhlanhazmi/delete